﻿.thank-you-page-generic {
    justify-content: center
}

.box-content-TYP {
    text-align: -webkit-center;
}

.arrow_Content_tankyou {
    text-align: center;
    max-width: 928px;
}

.box-content-TYP {
    padding-top: 125px;
    justify-content: center;
}

.Arrow-UserName-LName {
    display: flex;
    flex-direction: row;
    align-self: center;
}

p.Title_section {
    color: #414141;
    text-align: center;
    font-family: var(--font-family-0-regular);
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 4px;
    /*text-transform: uppercase;*/
}

.Title_TYP {
    color: var(--brand-black, #222222);
    text-align: center;
    font-family: var(--font-family-1, 'Titillium Web');
    font-size: 3rem;
    font-style: normal;
    font-weight: 700;
    line-height: 36.5px;
}

.Text_user_TYP {
    color: var(--brand-black, #222222);
    text-align: center;
    font-family: var(--font-family-1, 'Titillium Web');
    font-size: 2.5rem;
    font-style: normal;
    font-weight: 700;
    line-height: 36.5px;
    text-transform: uppercase;
}

.Text_contet_TYP {
    color: var(--black-100, #000);
    text-align: center;
    font-family: var(--font-family-0-regular);
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 400;
    line-height: 26px; /* 144.444% */
}
/*
.arrow-feedback-star {
}
*/
.arrow_text_feedback {
    color: var(--black-100, #000);
    text-align: center;
    font-family: var(--font-family-0-regular);
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px;
}

.thankyou_banner {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100vw;
    height: 30.709rem;
    overflow: hidden;
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4));
}

.thankyou_banner__banner-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 515px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 5rem;
    color: var(--brand-white);
    z-index: 2;
}

.thankyou__banner-content > h1 {
    font-family: Montserrat;
    font-size: 40px;
    font-weight: 700;
    color: #fff;
    line-height: 48.76px;
}

.thankyou_banner__banner-content > h2 {
    font-family: Montserrat;
    font-size: 20px;
    font-weight: 700;
    color: #fff;
    line-height: 24.38px;
}

.thankyou__banner-content > p {
    font-family: Montserrat;
    font-size: 20px;
    font-weight: 400;
    line-height letter-spacing: 0.4px;
}

.thankyou_banner__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.wrapper-gral {
    display: flex;
    justify-content: center;
    align-items: center;
    /*margin: 1rem 0rem;
    padding: 1rem;*/
}

.button-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.btn-primary {
    background-color: #fff;
    font-family: Montserrat;
    border: none;
    color: #000;
    text-decoration: none;
}

    .btn-primary:hover,
    .btn-primary:active {
        background-color: #888888;
        color: #FFFFFF;
    }

.btn-secondary {
    background-color: transparent !important;
    color: #FFFFFF !important;
    font-family: Montserrat;
    border: 2px solid #FFF !important;
    text-decoration: none;
}   

    .btn-secondary:hover,
    .btn-secondary:active {
        background-color: #888888 !important;
        color: #FFFFFF !important;
    }

.link_back_thankyou {
    text-decoration: none;
    /*width: 405px;*/
    min-height: 60px;
    /*  border: 2px;
  */ padding: 8px 32px 8px 32px;
    gap: 8px;
    font-weight: 700;
    font-size: 20px;
    line-height: 24.38px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center
}

@media (max-width: 1574px) {

    .arrow_Content_tankyou {
        max-width: 650px;
    }
}

@media(max-width: 1366px) {

    .Title_TYP {
        font-size: 32px;
        line-height: 42px;
    }

    .Text_user_TYP {
        font-size: 24px;
    }
}


@media (max-width: 450px) {
    .thankyou_banner {
        height: 31.25rem;
    }

    .thankyou_banner__image {
        object-fit: cover;
        object-position: center;
    }

    .thankyou_banner__banner-content {
        width: 320px;
        padding: 4rem 1rem 1.5rem 1.5rem;
    }

        .thankyou_banner__banner-content > h1 {
            font-size: 28px;
            line-height: 34.13px;
        }

        .thankyou_banner__banner-content > h2 {
            font-size: 20px;
            line-height: 24.38px;
            font-weight: 400;
        }

        .thankyou_banner__banner-content > p {
            font-size: 20px;
            line-height: 24.38px;
            font-weight: 400;
        }

    .button-container {
        flex-direction: row;
        gap: 8px;
        justify-content: start;
    }

    .link_back_thankyou {
        padding: 8px 32px;
        opacity: 1;
        font-size: 20px;
    }
}


@media (min-width: 592px) {
    .button-container {
        flex-direction: column;
        gap: 20px;
    }
}
